Loading...
Searching...
No Matches
BALL::AromaticBondsPredicate Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

Inheritance diagram for BALL::AromaticBondsPredicate:

## Public Member Functions

virtual bool | operator() (const Atom &atom) const
Public Member Functions inherited from BALL::ExpressionPredicate
| ExpressionPredicate ()
| ExpressionPredicate (const ExpressionPredicate &predicate)
| ExpressionPredicate (const String &argument)
virtual | ~ExpressionPredicate ()
ExpressionPredicate & | operator= (const ExpressionPredicate &predicate)
virtual void | clear ()
bool | operator== (const ExpressionPredicate &predicate) const
virtual void | setArgument (const String &argument)
const String & | getArgument () const
Public Member Functions inherited from BALL::UnaryPredicate< Atom >
virtual | ~UnaryPredicate ()
virtual bool | operator() (const Atom &) const

## Protected Member Functions

bool | testPredicate_ (const Atom &atom) const

## Additional Inherited Members

String | argument_

## Detailed Description

Predicate class for atoms bearing a certain number of aromatic bonds. Arguments of this class are required to consist of an relational operator and a number between 1 and 8. The default is ">0" which means that the atom under siege has to bear at least one aromatic bond to make this predicate's operator () () return true.

A bond is defined as aromatic if it has the property Bond::IS_AROMATIC set, or if its bond order equals Bond::ORDER__AROMATIC.

Definition at line 439 of file standardPredicates.h.

## Member Function Documentation

## operator()()

virtual bool BALL::AromaticBondsPredicate::operator() | ( | const Atom & | atom | ) | const

virtual

Evaluate the predicate for the atom atom.

Parameters

  atom | the atom to test

Returns
  true, if the predicate is true, false otherwise

Reimplemented from BALL::ExpressionPredicate.

## testPredicate_()

bool BALL::AromaticBondsPredicate::testPredicate_ | ( | const Atom & | atom | ) | const

protected